Package org.postgresql.core

# Class PgMessageType

java.lang.Object
org.postgresql.core.PgMessageType

public class PgMessageType extends Object
PostgreSQL protocol message types

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `ASYNCHRONOUS_NOTICE`
  `static final byte`
  `AUTHENTICATION_RESPONSE`
  `static final byte`
  `BACKEND_KEY_DATA_RESPONSE`
  `static final byte`
  `BIND`
  `static final byte`
  `BIND_COMPLETE_RESPONSE`
  `static final byte`
  `CLOSE_COMPLETE_RESPONSE`
  `static final byte`
  `CLOSE_REQUEST`
  `static final byte`
  `COMMAND_COMPLETE_RESPONSE`
  `static final byte`
  `COPY_BOTH_RESPONSE`
  `static final byte`
  `COPY_DATA`
  `static final byte`
  `COPY_DONE`
  `static final byte`
  `COPY_FAIL`
  `static final byte`
  `COPY_IN_RESPONSE`
  `static final byte`
  `COPY_OUT_RESPONSE`
  `static final byte`
  `DATA_ROW_RESPONSE`
  `static final byte`
  `DESCRIBE_REQUEST`
  `static final byte`
  `EMPTY_QUERY_RESPONSE`
  `static final byte`
  `ERROR_RESPONSE`
  `static final byte`
  `EXECUTE_REQUEST`
  `static final byte`
  `FLUSH_REQ`
  `static final byte`
  `FUNCTION_CALL_REQ`
  `static final byte`
  `FUNCTION_CALL_RESPONSE`
  `static final byte`
  `GSS_TOKEN_REQUEST`
  `static final byte`
  `NEGOTIATE_PROTOCOL_RESPONSE`
  `static final byte`
  `NO_DATA_RESPONSE`
  `static final byte`
  `NOTICE_RESPONSE`
  `static final byte`
  `PARAMETER_DESCRIPTION_RESPONSE`
  `static final byte`
  `PARAMETER_STATUS_RESPONSE`
  `static final byte`
  `PARSE_COMPLETE_RESPONSE`
  `static final byte`
  `PARSE_REQUEST`
  `static final byte`
  `PASSWORD_REQUEST`
  `static final byte`
  `PORTAL`
  `static final byte`
  `PORTAL_SUSPENDED_RESPONSE`
  `static final byte`
  `QUERY_REQUEST`
  `static final byte`
  `READY_FOR_QUERY_RESPONSE`
  `static final byte`
  `ROW_DESCRIPTION_RESPONSE`
  `static final byte`
  `SASL_INITIAL_RESPONSE`
  `static final byte`
  `SASL_RESPONSE`
  `static final byte`
  `STATEMENT`
  `static final byte`
  `SYNC_REQUEST`
  `static final byte`
  `TERMINATE_REQUEST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PgMessageType()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BIND

    public static final byte BIND
    See Also:
      - Constant Field Values

  - ### CLOSE_REQUEST

    public static final byte CLOSE_REQUEST
    See Also:
      - Constant Field Values

  - ### DESCRIBE_REQUEST

    public static final byte DESCRIBE_REQUEST
    See Also:
      - Constant Field Values

  - ### EXECUTE_REQUEST

    public static final byte EXECUTE_REQUEST
    See Also:
      - Constant Field Values

  - ### FUNCTION_CALL_REQ

    public static final byte FUNCTION_CALL_REQ
    See Also:
      - Constant Field Values

  - ### FLUSH_REQ

    public static final byte FLUSH_REQ
    See Also:
      - Constant Field Values

  - ### PARSE_REQUEST

    public static final byte PARSE_REQUEST
    See Also:
      - Constant Field Values

  - ### QUERY_REQUEST

    public static final byte QUERY_REQUEST
    See Also:
      - Constant Field Values

  - ### SYNC_REQUEST

    public static final byte SYNC_REQUEST
    See Also:
      - Constant Field Values

  - ### TERMINATE_REQUEST

    public static final byte TERMINATE_REQUEST
    See Also:
      - Constant Field Values

  - ### COPY_FAIL

    public static final byte COPY_FAIL
    See Also:
      - Constant Field Values

  - ### GSS_TOKEN_REQUEST

    public static final byte GSS_TOKEN_REQUEST
    See Also:
      - Constant Field Values

  - ### PASSWORD_REQUEST

    public static final byte PASSWORD_REQUEST
    See Also:
      - Constant Field Values

  - ### SASL_RESPONSE

    public static final byte SASL_RESPONSE
    See Also:
      - Constant Field Values

  - ### SASL_INITIAL_RESPONSE

    public static final byte SASL_INITIAL_RESPONSE
    See Also:
      - Constant Field Values

  - ### PORTAL

    public static final byte PORTAL
    See Also:
      - Constant Field Values

  - ### STATEMENT

    public static final byte STATEMENT
    See Also:
      - Constant Field Values

  - ### AUTHENTICATION_RESPONSE

    public static final byte AUTHENTICATION_RESPONSE
    See Also:
      - Constant Field Values

  - ### PARAMETER_STATUS_RESPONSE

    public static final byte PARAMETER_STATUS_RESPONSE
    See Also:
      - Constant Field Values

  - ### BACKEND_KEY_DATA_RESPONSE

    public static final byte BACKEND_KEY_DATA_RESPONSE
    See Also:
      - Constant Field Values

  - ### READY_FOR_QUERY_RESPONSE

    public static final byte READY_FOR_QUERY_RESPONSE
    See Also:
      - Constant Field Values

  - ### ROW_DESCRIPTION_RESPONSE

    public static final byte ROW_DESCRIPTION_RESPONSE
    See Also:
      - Constant Field Values

  - ### DATA_ROW_RESPONSE

    public static final byte DATA_ROW_RESPONSE
    See Also:
      - Constant Field Values

  - ### COMMAND_COMPLETE_RESPONSE

    public static final byte COMMAND_COMPLETE_RESPONSE
    See Also:
      - Constant Field Values

  - ### COPY_OUT_RESPONSE

    public static final byte COPY_OUT_RESPONSE
    See Also:
      - Constant Field Values

  - ### COPY_BOTH_RESPONSE

    public static final byte COPY_BOTH_RESPONSE
    See Also:
      - Constant Field Values

  - ### COPY_IN_RESPONSE

    public static final byte COPY_IN_RESPONSE
    See Also:
      - Constant Field Values

  - ### NEGOTIATE_PROTOCOL_RESPONSE

    public static final byte NEGOTIATE_PROTOCOL_RESPONSE
    See Also:
      - Constant Field Values

  - ### ERROR_RESPONSE

    public static final byte ERROR_RESPONSE
    See Also:
      - Constant Field Values

  - ### EMPTY_QUERY_RESPONSE

    public static final byte EMPTY_QUERY_RESPONSE
    See Also:
      - Constant Field Values

  - ### ASYNCHRONOUS_NOTICE

    public static final byte ASYNCHRONOUS_NOTICE
    See Also:
      - Constant Field Values

  - ### NOTICE_RESPONSE

    public static final byte NOTICE_RESPONSE
    See Also:
      - Constant Field Values

  - ### PARSE_COMPLETE_RESPONSE

    public static final byte PARSE_COMPLETE_RESPONSE
    See Also:
      - Constant Field Values

  - ### BIND_COMPLETE_RESPONSE

    public static final byte BIND_COMPLETE_RESPONSE
    See Also:
      - Constant Field Values

  - ### CLOSE_COMPLETE_RESPONSE

    public static final byte CLOSE_COMPLETE_RESPONSE
    See Also:
      - Constant Field Values

  - ### NO_DATA_RESPONSE

    public static final byte NO_DATA_RESPONSE
    See Also:
      - Constant Field Values

  - ### PORTAL_SUSPENDED_RESPONSE

    public static final byte PORTAL_SUSPENDED_RESPONSE
    See Also:
      - Constant Field Values

  - ### PARAMETER_DESCRIPTION_RESPONSE

    public static final byte PARAMETER_DESCRIPTION_RESPONSE
    See Also:
      - Constant Field Values

  - ### FUNCTION_CALL_RESPONSE

    public static final byte FUNCTION_CALL_RESPONSE
    See Also:
      - Constant Field Values

  - ### COPY_DONE

    public static final byte COPY_DONE
    See Also:
      - Constant Field Values

  - ### COPY_DATA

    public static final byte COPY_DATA
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PgMessageType

    public PgMessageType()